Issue 88164 - protected section does not fully protect an insterted graphic
Summary: protected section does not fully protect an insterted graphic
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 2.4.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: eric.savary
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-11 10:04 UTC by cno
Modified: 2013-08-07 14:43 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
document with section+graphic to try the behaviour and a screenshot as explanation (54.50 KB, application/vnd.oasis.opendocument.text)
2008-04-11 10:07 UTC, cno
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description cno 2008-04-11 10:04:43 UTC
A protected section does not fully protect an insterted graphic.

When the picture is selected, it cannot be deleted etc.
But the button 'From File' on the 'Picture toolbar', allows to open the
properties window and change the graphic.

That button should be disabled in this situation.
Comment 1 cno 2008-04-11 10:07:06 UTC
Created attachment 52748 [details]
document with section+graphic to try the behaviour and a screenshot as explanation
Comment 2 michael.ruess 2008-04-14 12:39:30 UTC
MRU->OS: if a graphic is embedded inside a protected section, the menu entries
under Insert.Picture should also be disabled.
Comment 3 Oliver Specht 2008-10-06 08:59:43 UTC
Reassigned to mod
Comment 4 max.odendahl 2008-10-06 17:00:06 UTC
mod->os: seems like I was a little bit too fast with reassigning this one ;-)

I though that the sw_disable_on_protected_section setting is just missing in the
sdi file, but it is actually there (_grfsh.sdi)

Any hint?
Comment 5 Oliver Specht 2008-10-09 07:07:21 UTC
->mod: This is probably because a graphic selection is not handled in
SwCrsrShell::HasReadonlySel() called in sw/source/ui/uiview/view.cxx. This works
for text selections, only.
Comment 6 max.odendahl 2008-10-14 14:56:46 UTC
fixed in cws notes7
Comment 7 cno 2008-10-15 10:19:50 UTC
Hi Maximilian,
Good news, thanks!

Is there any change, without disturbing the regular processes too much, to
include the cws for 3.0.1?
Cor
Comment 8 max.odendahl 2008-10-15 13:29:55 UTC
Hi Cor, 

the issue does not qualify as a showstopper and is even a GUI change(although
being a bug), pretty much the same to the whole cws, so 3.1 makes sense here

Max
Comment 9 cno 2008-10-15 13:41:45 UTC
Thanks for the explanation, Max.
Cor
Comment 10 max.odendahl 2008-12-11 14:59:27 UTC
please verify in cws notes7
Comment 11 eric.savary 2008-12-15 19:45:44 UTC
Verified in cws Notes7
Comment 12 sgautier.ooo 2009-01-31 16:49:03 UTC
Verified in DEV300_m40 .deb version - closing - sophie